OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NanoToOpenVDB< NanoBuildT > Class Template Reference

This class will serialize an OpenVDB grid into a NanoVDB grid managed by a GridHandle. More...

`#include <nanovdb/util/NanoToOpenVDB.h>`

## Public Member Functions
| NanoToOpenVDB ()
| Construction from an existing const OpenVDB Grid.
OpenGridT::Ptr | operator() (const NanoGrid< NanoBuildT > &grid, int verbose=0)
| Return a shared pointer to a NanoVDB grid constructed from the specified OpenVDB grid.
template<typename SrcNodeT , typename DstNodeT >
DstNodeT * | processNode (const SrcNodeT *srcNode)

## Detailed Description

template<typename NanoBuildT>
class nanovdb::NanoToOpenVDB< NanoBuildT >

This class will serialize an OpenVDB grid into a NanoVDB grid managed by a GridHandle.

## Constructor & Destructor Documentation

## ◆ NanoToOpenVDB()

template<typename NanoBuildT >

NanoToOpenVDB | ( |  | ) |
| inline

Construction from an existing const OpenVDB Grid.

## Member Function Documentation

## ◆ operator()()

template<typename NanoBuildT >

NanoToOpenVDB< NanoBuildT >::OpenGridT::Ptr operator() | ( | const NanoGrid< NanoBuildT > & | grid,
|  | int | verbose = `0`
| ) |  |

Return a shared pointer to a NanoVDB grid constructed from the specified OpenVDB grid.

## ◆ processNode()

template<typename NanoBuildT >
template<typename SrcNodeT , typename DstNodeT >

DstNodeT * processNode | ( | const SrcNodeT * | srcNode | ) |